Subject: Re: bug#4790: 23.1.50; Buffer switching with nXHTML

From: Juanma Barranquero <[email-masked]>
Date: Sat, 24 Oct 2009 19:25:04 +0200

tags 4790 + unreproducible moreinfo
quit

On Fri, Oct 23, 2009 at 11:46, Simon Holm Jensen <[email-masked]> wrote:

> When having an buffer open in xhtml mode iswtichbb stops working, when I
> try to use it I get the following
>
>  Wrong type argument: stringp, (sgml-xml-mode "XHTML" "HTML")
>
> In the minibuffer
>
> Steps to reproduce
>
> 1) Use iswitchbb
> 2) Open an XHTML file
> 3) Try to switch to it using C-x b

I cannot reproduce it on CVS Emacs, starting from "emacs -Q".

Also, this:

> Load-path shadows:
> /users/simonhj/elisp/nxml/related/css-mode hides ~/elisp/css-mode
> ~/elisp/slime/tree-widget hides /users/simonhj/local/share/emacs/23.1.50/lisp/tree-widget
> ~/elisp/linum hides /users/simonhj/local/share/emacs/23.1.50/lisp/linum
> ~/elisp/rst hides /users/simonhj/local/share/emacs/23.1.50/lisp/textmodes/rst
> /users/simonhj/elisp/nxml/related/css-mode hides /users/simonhj/local/share/emacs/23.1.50/lisp/textmodes/css-mode
> /users/simonhj/elisp/nxml-mode/rng-uri hides /users/simonhj/local/share/emacs/23.1.50/lisp/nxml/rng-uri
[...]

suggests that you're using a release of nxml other than the one in Emacs.

Can you please send a recipe starting with

  emacs -Q

and detailing all steps needed to reproduce the problem?

Thanks,

    Juanma